package com.persagy.fm.sop.client;

import com.alibaba.fastjson.JSONObject;
import com.persagy.fm.common.model.vo.GeneralDictVo;
import com.persagy.fm.sop.utils.OldResponseResultUtil;
import feign.hystrix.FallbackFactory;
import lombok.extern.slf4j.Slf4j;
import org.springframework.stereotype.Component;

import java.util.Collections;

/**
 * @author yuecaipu
 * @version 1.0
 * @description
 * @date 2021/3/12 14:19
 */
@Slf4j
@Component
public class SaasFallBackFactory implements FallbackFactory<SaasClient> {


	@Override
	public SaasClient create(Throwable throwable) {
		return null;
	}
}
