package com.persagy.fm.sop.constant;
/***
 * Description: SOP模块使用的常量值
 * @author : lijie
 * @date :2021/4/1 14:51
 * Update By lijie 2021/4/1 14:51
 */
public class SopCommonConst {

    /**通用sop的项目ID(默认)*/
    public final static String GROUP_SOP_ID = "group_sop_id";
    /**下划线*/
    public final static String UNDER_LINE = "_";

    /**发布状态-1-正常*/
    public final static String PUBLISH_STATUS_NORMAL = "1";
    /**发布状态-2-待修订*/
    public final static String PUBLISH_STATUS_REVISE = "2";
    /**发布状态-3-修订中*/
    public final static String PUBLISH_STATUS_REVISEING = "3";

    /**SOP状态-0-草稿*/
    public final static String SOP_STATUS_DRAFT = "0";
    /**SOP状态-1-已发布*/
    public final static String SOP_STATUS_PUBLISH = "1";
    /**SOP状态-2-已作废*/
    public final static String SOP_STATUS_DESTROYED= "2";

    /**SOP类型-1-集团（通用）*/
    public final static String SOP_TYPE_GROUP = "1";
    /**SOP状态-2-项目专用*/
    public final static String SOP_TYPE_PROJECT= "2";
    /**SOP版本号*/
    public final static String SOP_VERSION_INIT= "V0.1";

    /**SOP版本描述*/
    public final static String VERSION_EXPLAIN_CREATE = "发布标准操作";

    public final static int desc = -1;
    public final static int asc = 1;

    //SOP版本描述
    public final static String version_explain_create = "发布标准操作";
    //
    public final static String remind_recovery_failed = "引用的sop已作废，请恢复后再操作";

    public static class JsonToData{
        //public static final String equipSpaceOptions = "saas_equipSpaceOptions";
        //public static final String EquipUploadValidate = "saas_EquipUploadValidate";
        //public static final String InfoPointInputMode = "saas_InfoPointInputMode";
        //public static final String nounType = "saas_nounType";
        //public static final String SpaceUploadValidate = "saas_SpaceUploadValidate";
        public static final String Flooridentity = "saas_FloorIdentity";
        public static final String SpaceFunction = "saas_H_spaceFunction";
    }

}
