package com.persagy.fm.sop.constant;

import com.fasterxml.jackson.annotation.JsonIgnoreProperties;

/***
 * Description: 接口查询的key
 * @author : lijie
 * @date :2021/4/6 20:14
 * Update By lijie 2021/4/6 20:14
 */
public class SopQueryConst {
    /**SOP列表返回值过滤,参考{@link JsonIgnoreProperties#value()}*/
    public static final String[] SOP_LIST_FILTER_PROPERTIES={"project_id", "extend_field", "operator_id",
            "operator_name", "sop_type","no_obj",
            "related_data", "sop_status", "publish_status",
            "version_count", "version_explain", "create_time",
            "valid", "domains", "order_type", "tools",
            "fit_objs", "equip_model_ids", "labels",
            "steps", "step_count", "stauts_explain"};

    /**设备模型id集合*/
    public static final String EQUIP_MODEL_IDS="equip_model_ids";
    /**标签名称列表*/
    public static final String LABELS="labels";
    /**工单类型id*/
    public static final String ORDER_TYPE="order_type";
    /**适用范围对象id*/
    public static final String FIT_OBJ_IDS="fit_obj_ids";
    /**项目id*/
    public static final String PROJECT_ID="project_id";
    /**项目id的驼峰写法*/
    public static final String PROJECT_ID_HUMP="projectId";
    /**文件写法*/
    public static final String DTO_FILE="file";
    /**设备模型id*/
    public static final String EQUIP_MODEL_ID="equip_model_id";
    /**设备模型名称*/
    public static final String EQUIP_MODEL_NAME="equip_model_name";
    /**版本号*/
    public static final String VERSION="version";
    /**sop_id*/
    public static final String SOP_ID="sop_id";
    /**rel_sop_id*/
    public static final String REL_SOP_ID="rel_sop_id";
    /**sop_his_id*/
    public static final String SOP_HIS_ID="sop_his_id";
    /**--*/
    public static final String SPECIAL_ROD="--";
    /**""*/
    public static final String SPECIAL_QUO="\"\"";
    /**version_explain*/
    public static final String VERSION_EXPLAIN="version_explain";
    /**version_count*/
    public static final String VERSION_COUNT="version_count";
    /**批量导入SOP错误提示文件名称*/
    public static final String UPLOAD_SOP_ERR_FILE_NAME="批量导入SOP错误提示文件.txt";
    /**上传标准文件的请求URI*/
    public static final String IMPORT_SOP_REQUEST_URI = "/restInputSopService/uploadSop";
    /**有表头的标准导入excel内容*/
    public static final Integer EXCEL_HEAD_INDEX = 2;
}
