package com.persagy.fm.sop.enums;
/***
 * Description: 步骤中操作对象类型
 * @author : lijie
 * @date :2021/4/2 9:54
 * Update By lijie 2021/4/2 9:54
 */
public enum ObjOwnerEnum {
    /**content_obj-步骤中的操作对象*/
    CONTENT_OBJ("content_obj","步骤中的操作对象"),
    /**空间范围*/
    SPACE_SCOPE("space_scope","空间范围"),
    /**适用范围*/
    FIT_OBJ("fit_obj","适用范围");

    ObjOwnerEnum(String type, String describe) {
        this.type = type;
        this.describe = describe;
    }

    private String type;
    private String describe;

    public String getType() {
        return type;
    }

    public void setType(String type) {
        this.type = type;
    }

    public String getDescribe() {
        return describe;
    }

    public void setDescribe(String describe) {
        this.describe = describe;
    }
}
