package com.persagy.fm.sop.enums;
/***
 * Description: 步骤中操作对象类型
 * @author : lijie
 * @date :2021/4/2 9:54
 * Update By lijie 2021/4/2 9:54
 */
public enum ObjTypeEnum {
    /**建筑*/
    BUILD("build","建筑"),
    /**建筑*/
    BUILDING("building","建筑"),
    /**建筑功能类型*/
    BUILD_FUNC_TYPE("build_func_type","建筑功能类型"),
    /**楼层*/
    FLOOR("floor","楼层"),
    /**楼层类型*/
    FLOOR_TYPE("floor_type","楼层类型"),
    /**竖井类型*/
    SHAFT_TYPE("shaft_type","竖井类型"),
    /**空间*/
    SPACE("space","空间"),
    /**系统*/
    SYSTEM("system","系统"),
    /**竖井*/
    SHAFT("shaft","竖井"),
    /**设备*/
    EQUIP("equip","设备"),
    /**设备类*/
    EQUIP_CLASS("equip_class","设备类"),
    /**设备类*/
    SPACE_CLASS("space_class","空间类型"),
    /**系统类*/
    SYSTEM_CLASS("system_class","系统类");

    ObjTypeEnum(String type, String describe) {
        this.type = type;
        this.describe = describe;
    }

    private String type;
    private String describe;

    public String getType() {
        return type;
    }

    public void setType(String type) {
        this.type = type;
    }

    public String getDescribe() {
        return describe;
    }

    public void setDescribe(String describe) {
        this.describe = describe;
    }
}
