package com.persagy.fm.sop.enums;
/***
 * Description: SOP状态枚举
 * @author : lijie
 * @date :2021/4/2 15:10
 * Update By lijie 2021/4/2 15:10
 */
public enum SopSignCodeEnum {
    /**公用*/
    PUBLIC("public","公用"),
    /**修订*/
    REVISE("revise","修订"),
    /**修订中*/
    REVISING("revising","修订中");

    SopSignCodeEnum(String type, String describe) {
        this.type = type;
        this.describe = describe;
    }

    private String type;
    private String describe;

    public String getType() {
        return type;
    }

    public void setType(String type) {
        this.type = type;
    }

    public String getDescribe() {
        return describe;
    }

    public void setDescribe(String describe) {
        this.describe = describe;
    }
}
