package com.persagy.fm.sop.enums;
/***
 * Description: SOP状态枚举
 * @author : lijie
 * @date :2021/4/2 15:10
 * Update By lijie 2021/4/2 15:10
 */
public enum SopStatusEnum {
    /**草稿*/
    DRAFT("0","草稿"),
    /**已发布*/
    PUBLISHED("1","已发布"),
    /**已作废*/
    INVALID("2","已作废");

    SopStatusEnum(String type, String describe) {
        this.type = type;
        this.describe = describe;
    }

    private String type;
    private String describe;

    public String getType() {
        return type;
    }

    public void setType(String type) {
        this.type = type;
    }

    public String getDescribe() {
        return describe;
    }

    public void setDescribe(String describe) {
        this.describe = describe;
    }
}
