package com.persagy.fm.sop.enums;
/***
 * Description: SOP状态枚举
 * @author : lijie
 * @date :2021/4/2 15:10
 * Update By lijie 2021/4/2 15:10
 */
public enum SopTypeEnum {
    /**SOP类型-1-集团（通用）*/
    GROUP("1","SOP类型-1-集团（通用）"),
    /**SOP状态-2-项目专用*/
    PROJECT("2","SOP状态-2-项目专用");

    SopTypeEnum(String type, String describe) {
        this.type = type;
        this.describe = describe;
    }

    private String type;
    private String describe;

    public String getType() {
        return type;
    }

    public void setType(String type) {
        this.type = type;
    }

    public String getDescribe() {
        return describe;
    }

    public void setDescribe(String describe) {
        this.describe = describe;
    }
}
