package com.persagy.fm.sop.handler;

import com.persagy.fm.mybatis.handler.DbJsonTypeHandler;
import com.persagy.fm.sop.model.dto.*;

public class JsonTypeHandlerFactory {
    public static class ToolsBeanHandler extends DbJsonTypeHandler {
        public ToolsBeanHandler(Class<?> type) {
            super(type, ToolsBean.class);
        }
    }
    public static class FitObjsBeanHandler extends DbJsonTypeHandler {
        public FitObjsBeanHandler(Class<?> type) {
            super(type, FitObjsBean.class);
        }
    }
    public static class InfoPointsBeanHandler extends DbJsonTypeHandler {
        public InfoPointsBeanHandler(Class<?> type) {
            super(type, InfoPointsBean.class);
        }
    }
    public static class CustomInfoPointsBeanHandler extends DbJsonTypeHandler {
        public CustomInfoPointsBeanHandler(Class<?> type) {
            super(type, CustomInfoPointsBean.class);
        }
    }
    public static class SopStepsBeanHandler extends DbJsonTypeHandler {
        public SopStepsBeanHandler(Class<?> type) {
            super(type, SopStepsBean.class);
        }
    }
    public static class RelatedDataBeanHandler extends DbJsonTypeHandler {
        public RelatedDataBeanHandler(Class<?> type) {
            super(type, RelatedDataBean.class);
        }
    }
    public static class ParentsBeanHandler extends DbJsonTypeHandler {
        public ParentsBeanHandler(Class<?> type) {
            super(type, ParentsBean.class);
        }
    }
    public static class AttBeanHandler extends DbJsonTypeHandler {
        public AttBeanHandler(Class<?> type) {
            super(type, AttBean.class);
        }
    }
    public static class RefedSopBeanHandler extends DbJsonTypeHandler {
        public RefedSopBeanHandler(Class<?> type) {
            super(type, RefedSopBean.class);
        }
    }
}
