package com.persagy.fm.sop.model.dto;

import com.fasterxml.jackson.annotation.JsonAlias;
import com.fasterxml.jackson.annotation.JsonProperty;
import io.swagger.annotations.ApiModelProperty;
import lombok.Builder;
import lombok.Data;

@Data
@Builder
public class AbnormalSetBean {
    /**
     * execute_type :
     * execute_dept_id :
     * execute_dept_name :
     * problem_type :
     * problem_type_name :
     */
    @ApiModelProperty("执行类型,手动转事件,自动转事件")
    @JsonProperty("execute_type")
    @JsonAlias({"execute_type","executeType"})
    private String executeType;
    @ApiModelProperty("事件负责部门id")
    @JsonProperty("execute_dept_id")
    @JsonAlias({"execute_dept_id","executeDeptId"})
    private String executeDeptId;
    @ApiModelProperty("事件负责部门名称")
    @JsonProperty("execute_dept_name")
    @JsonAlias({"execute_dept_name","executeDeptName"})
    private String executeDeptName;
    @ApiModelProperty("转的事件关联的问题类型id")
    @JsonProperty("problem_type")
    @JsonAlias({"problem_type","problemType"})
    private String problemType;
    @ApiModelProperty("转的事件关联的问题类型名称")
    @JsonProperty("problem_type_name")
    @JsonAlias({"problem_type_name","problemTypeName"})
    private String problemTypeName;
}