package com.persagy.fm.sop.model.dto;

import com.fasterxml.jackson.annotation.JsonAlias;
import com.fasterxml.jackson.annotation.JsonProperty;
import io.swagger.annotations.ApiModelProperty;
import lombok.AllArgsConstructor;
import lombok.Data;
import lombok.NoArgsConstructor;

import java.util.List;

@Data
@NoArgsConstructor
@AllArgsConstructor
public class ConvertClassBean{
    @ApiModelProperty("对象id")
    @JsonAlias({"obj_id","objId"})
    @JsonProperty("obj_id")
    private String objId;
    @ApiModelProperty("对象类型")
    @JsonAlias({"obj_type","objType"})
    @JsonProperty("obj_type")
    private String objType;
    @ApiModelProperty("实例化对象的空间范围")
    @JsonAlias({"space_scope","spaceScope"})
    @JsonProperty("space_scope")
    private List<SpaceScopeBean> spaceScopes;
}