package com.persagy.fm.sop.model.dto;

import com.fasterxml.jackson.annotation.JsonProperty;
import io.swagger.annotations.ApiModelProperty;
import lombok.AllArgsConstructor;
import lombok.Builder;
import lombok.Data;
import lombok.NoArgsConstructor;

/***
 * Description: 工单类型DTO类
 * @author : lijie
 * @date :2021/4/10 16:19
 * Update By lijie 2021/4/10 16:19
 */
@Data
@Builder
@AllArgsConstructor
@NoArgsConstructor
public class OrderTypeBean {
    /**工单类型code*/
    @ApiModelProperty("工单类型code")
    private String code;

    /**工单类型名称*/
    @ApiModelProperty("工单类型名称")
    private String name;
}
