package com.persagy.fm.sop.model.dto;

import com.fasterxml.jackson.annotation.JsonAlias;
import com.fasterxml.jackson.annotation.JsonProperty;
import io.swagger.annotations.ApiModelProperty;
import lombok.AllArgsConstructor;
import lombok.Builder;
import lombok.Data;
import lombok.NoArgsConstructor;

import java.util.List;

@Data
@Builder
@NoArgsConstructor
@AllArgsConstructor
public class SpaceScopeBean {
    /**
     * obj_id : ***
     * obj_name : 对象名称1
     * obj_type : space_class
     */
    @ApiModelProperty("对象id")
    @JsonAlias({"obj_id","objId"})
    @JsonProperty("obj_id")
    private String objId;
    @ApiModelProperty("对象名称")
    @JsonAlias({"obj_name","objName"})
    @JsonProperty("obj_name")
    private String objName;
    @ApiModelProperty("对象类型")
    @JsonAlias({"obj_type","objType"})
    @JsonProperty("obj_type")
    private String objType;
    @ApiModelProperty("对象本地编码名称")
    @JsonAlias({"obj_code","objCode"})
    @JsonProperty("obj_code")
    private String objCode;
    @ApiModelProperty("父类信息")
    private List<ParentsBean> parents;
}