package com.persagy.fm.sop.model.vo;

import com.fasterxml.jackson.annotation.JsonAlias;
import com.fasterxml.jackson.annotation.JsonProperty;
import io.swagger.annotations.ApiModelProperty;
import lombok.AllArgsConstructor;
import lombok.Builder;
import lombok.Data;
import lombok.NoArgsConstructor;

@Data
@Builder
@NoArgsConstructor
@AllArgsConstructor
public class DestroyMsgVo{
    @ApiModelProperty("消息id")
    @JsonProperty("msg_id")
    @JsonAlias({"msg_id","msgId"})
    private String msgId;
    @ApiModelProperty("作废的sop状态")
    @JsonProperty("ref_sop_status")
    @JsonAlias({"ref_sop_status","refSopStatus"})
    private String refSopStatus;
    @ApiModelProperty(value = "引用的SOP的唯一标识id")
    @JsonAlias({"ref_sop_id","refSopId"})
    @JsonProperty("ref_sop_id")
    private String refSopId;
    @ApiModelProperty(value = "引用的SOP的名称")
    @JsonAlias({"ref_sop_name","refSopName"})
    @JsonProperty("ref_sop_name")
    private String refSopName;



}
