package com.persagy.fm.sop.model.vo;

import com.persagy.fm.sop.model.dto.OperatorBean;
import io.swagger.annotations.ApiModelProperty;
import lombok.*;

import javax.validation.constraints.NotBlank;

@Data
@EqualsAndHashCode(callSuper = false)
@Builder
@NoArgsConstructor
@AllArgsConstructor
public class QueryDestroySopVo extends QuerySopVo {
    @ApiModelProperty("操作人信息")
    @NotBlank(message = "缺少非空项:operator")
    private OperatorBean operator;
}
