package com.persagy.fm.sop.model.vo;

import com.fasterxml.jackson.annotation.JsonAlias;
import com.fasterxml.jackson.annotation.JsonProperty;
import io.swagger.annotations.ApiModelProperty;
import lombok.AllArgsConstructor;
import lombok.Builder;
import lombok.Data;
import lombok.NoArgsConstructor;

@Data
@Builder
@NoArgsConstructor
@AllArgsConstructor
public class ReviseMsgVo {
    @ApiModelProperty("消息id")
    @JsonProperty("msg_id")
    @JsonAlias({"msg_id","msgId"})
    private String msgId;
    @ApiModelProperty("待修订对象id")
    @JsonProperty("revise_obj_id")
    @JsonAlias({"revise_obj_id","reviseObjId"})
    private String reviseObjId;
    @ApiModelProperty(value = "消息内容")
    private String content;
    @ApiModelProperty(value = "创建时间，yyyy-MM-dd HH:mm:ss")
    @JsonAlias({"create_time","createTime"})
    @JsonProperty("create_time")
    private String createTime;
}
