package com.persagy.fm.sop.service;
/**
 * 
 * Description:   设备通讯录表service
 * Company: Persagy 
 * @author yuecaipu 
 * @version 1.0
 * @since: 2018年5月9日: 下午12:02:29
 * Update By yuecaipu 2018年5月17日: 上午11:32:29
 */
public interface IEquipCompanyBookService {
    /**
     * 根据条件查询设备通讯录表
     * @param jsonStr
     * @return
     * @throws Exception
     */
	String queryRecordByCondition(String jsonStr) throws Exception;

	/**
	 * 根据条件批量查询设备通讯录表
	 * @param jsonStr
	 * @return
	 * @throws Exception
	 */
	String queryBathchMergeRecordByCondition(String jsonStr, String arrayInfo, String infoName) throws Exception;
	/**
	 * 根据公司id查询设备通讯录表
	 * @param jsonStr
	 * @return
	 * @throws Exception
	 */
	String queryRecordByCompanyId(String jsonStr) throws Exception;


}
