package com.persagy.fm.sop.service;

import com.baomidou.mybatisplus.core.conditions.query.LambdaQueryWrapper;
import com.persagy.fm.sop.entity.SopCell;
import com.baomidou.mybatisplus.extension.service.IService;
import org.apache.commons.collections.CollectionUtils;

import java.util.*;

/**
 * <p>
 *  服务类
 * </p>
 *
 * @author lijie
 * @since 2021-04-02
 */
public interface ISopCellService extends IService<SopCell> {
    /***
     * Description: 查询所有引用sop 的sop（递归引用）
     * @param projectId : 项目id
     * @param sopId : SOP的id
     * @return : java.util.Set<java.lang.String>
     * @author : lijie
     * @date :2021/4/19 9:38
     * Update By lijie 2021/4/19 9:38
     */
    Set<String> querySopRel(String projectId, String sopId);
}
