package com.persagy.fm.workorder.domain.dto;

import com.fasterxml.jackson.annotation.JsonAlias;
import com.fasterxml.jackson.annotation.JsonProperty;
import io.swagger.annotations.ApiModelProperty;
import lombok.AllArgsConstructor;
import lombok.Data;
import lombok.NoArgsConstructor;

import java.util.List;

@Data
@AllArgsConstructor
@NoArgsConstructor
public class Position{
    @ApiModelProperty("岗位id")
    @JsonAlias({"positionId","position_id"})
    @JsonProperty("positionId")
    private String positionId;
    @ApiModelProperty("岗位名称")
    @JsonAlias({"positionName","position_name"})
    @JsonProperty("positionName")
    private String positionName;
    @ApiModelProperty("岗位id")
    @JsonAlias({"objId","obj_id"})
    @JsonProperty("obj_id")
    private String objId;
    @ApiModelProperty("岗位名称")
    @JsonAlias({"objName","obj_name"})
    @JsonProperty("obj_name")
    private String objName;
    @ApiModelProperty("检测")
    private Boolean checked;
    @ApiModelProperty("岗位类型")
    @JsonAlias({"objType","obj_type"})
    @JsonProperty("obj_type")
    private String objType;
    @ApiModelProperty("子对象数组")
    @JsonAlias({"childObjs","child_objs"})
    @JsonProperty("child_objs")
    private List<String> childObjs;

}