package com.persagy.fm.workorder.domain.dto;

import com.fasterxml.jackson.annotation.JsonAlias;
import com.fasterxml.jackson.annotation.JsonProperty;
import io.swagger.annotations.ApiModelProperty;
import lombok.AllArgsConstructor;
import lombok.Data;
import lombok.NoArgsConstructor;

import java.util.List;

@Data
@NoArgsConstructor
@AllArgsConstructor
public class PostAndDuty {
    @ApiModelProperty("类型，2-岗位")
    private String type;
    @ApiModelProperty("岗位id")
    @JsonAlias({"position_id","positionId"})
    @JsonProperty("position_id")
    private String positionId;
    @ApiModelProperty("岗位名称")
    private String name;
    @ApiModelProperty("职责数组")
    private List<DutyBean> duty;



}
