package com.persagy.fm.sop.config;

import com.baomidou.mybatisplus.core.incrementer.IKeyGenerator;
import com.baomidou.mybatisplus.core.toolkit.IdWorker;
import lombok.extern.slf4j.Slf4j;
import org.springframework.stereotype.Component;
/***
 * Description: 自定义主键ID生成策略
 * @author : lijie
 * @date :2021/4/1 21:49
 * Update By lijie 2021/4/1 21:49
 */
@Slf4j
@Component
public class MybatisKeyGenerator implements IKeyGenerator {

    @Override
    public String executeSql(String incrementerName) {
        log.info("mybatis plus keyGenerator: " + incrementerName);
        return "select " + IdWorker.getIdStr() + " from dual";
    }
}
