package com.persagy.fm.sop.enums;

/***
 * Description: 附件类型
 * @author : lijie
 * @date :2021/4/1 22:13
 * Update By lijie 2021/4/1 22:13
 */
public enum ClassTypeEnum {

    SYSTEM("通用系统类","通用系统类"),
    EQUIP("通用设备类","通用设备类"),
    SPACE("空间功能类型","空间功能类型"),
    BUILD("建筑功能类型","建筑功能类型"),
    FLOOR("楼层类","楼层类"),
    SHAFT("竖井类","竖井类");

    ClassTypeEnum(String type, String describe) {
        this.type = type;
        this.describe = describe;
    }

    private String type;
    private String describe;

    public String getType() {
        return type;
    }

    public void setType(String type) {
        this.type = type;
    }

    public String getDescribe() {
        return describe;
    }

    public void setDescribe(String describe) {
        this.describe = describe;
    }
}
