package com.persagy.fm.sop.enums;
/***
 * Description: 对象变化消息类型
 * @author : lijie
 * @date :2021/4/2 15:10
 * Update By lijie 2021/4/2 15:10
 */
public enum MsgStatusEnum {
    /**未处理*/
    UNTREATED("1","未处理"),
    /**已处理*/
    HANDLED("2","已处理/已忽略"),
    AUTO_HANDLED("3","已自动处理");

    MsgStatusEnum(String type, String describe) {
        this.type = type;
        this.describe = describe;
    }

    private String type;
    private String describe;

    public String getType() {
        return type;
    }

    public void setType(String type) {
        this.type = type;
    }

    public String getDescribe() {
        return describe;
    }

    public void setDescribe(String describe) {
        this.describe = describe;
    }
}
