package com.persagy.fm.sop.enums;

/***
 * Description: 附件类型
 * @author : lijie
 * @date :2021/4/1 22:13
 * Update By lijie 2021/4/1 22:13
 */
public enum SheetNameEnum {

    CLASS_DATA("classData","系统类信息的sheet名称"),
    CODE_DATA("codeData","对象类的code的sheet名称"),
    INFO_DATA("infoData","信息点信息的sheet名称");

    SheetNameEnum(String type, String describe) {
        this.type = type;
        this.describe = describe;
    }

    private String type;
    private String describe;

    public String getType() {
        return type;
    }

    public void setType(String type) {
        this.type = type;
    }

    public String getDescribe() {
        return describe;
    }

    public void setDescribe(String describe) {
        this.describe = describe;
    }
}
