package com.persagy.fm.sop.enums;


/***
 * Description: 导入标准错误提示码
 * @author : lijie
 * @date :2021/3/4 10:58
 * Update By lijie 2021/3/4 10:58
 */
public enum SopErrorEnum {

	/**
	 *内容错误
	 */
	CONTENT_ERROR("内容错误"),
	/**
	 *标准名称重复
	 */
	SOP_NAME_REPEAT_ERROR("标准操作知识名称已存在"),
	/**
	 *不能为空
	 */
	CONTENT_BLANK_ERROR("不能为空"),
	/**
	 *存在非法数字
	 */
	NUMBER_ERROR("存在非法数字"),
	/**
	 *非模板文件,请上传正确的模板文件
	 */
	FILE_ERROR("非模板文件,请上传正确的模板文件");

	/**
	 * 描述
	 */
	private String desc;

	public String getDesc() {
		return this.desc;
	}

	SopErrorEnum(String desc) {
		this.desc = desc;
	}

	@Override
	public String toString() {
		return this.desc;
	}
}
