package com.persagy.fm.sop.enums;
/***
 * Description: SOP状态枚举
 * @author : lijie
 * @date :2021/4/2 15:10
 * Update By lijie 2021/4/2 15:10
 */
public enum SopPublishStatusEnum {
    /**正常*/
    NORMAL("1","正常"),
    /**待修订*/
    REVISE("2","待修订"),
    /**修订中*/
    REVISEING("3","编辑中");

    SopPublishStatusEnum(String type, String describe) {
        this.type = type;
        this.describe = describe;
    }

    private String type;
    private String describe;

    public String getType() {
        return type;
    }

    public void setType(String type) {
        this.type = type;
    }

    public String getDescribe() {
        return describe;
    }

    public void setDescribe(String describe) {
        this.describe = describe;
    }
}
