package com.persagy.fm.sop.model.dto;

import com.alibaba.fastjson.annotation.JSONField;
import com.baomidou.mybatisplus.annotation.TableField;
import com.fasterxml.jackson.annotation.JsonProperty;
import io.swagger.annotations.ApiModelProperty;
import lombok.AllArgsConstructor;
import lombok.Builder;
import lombok.Data;
import lombok.NoArgsConstructor;
/***
 * Description: 设备型号DTO类
 * @author : lijie
 * @date :2021/4/10 16:19
 * Update By lijie 2021/4/10 16:19
 */
@Data
@Builder
@AllArgsConstructor
@NoArgsConstructor
public class EquipModelBean {

    /**设备型号id*/
    @ApiModelProperty("设备型号id")
    @JsonProperty("equip_model_id")
    @JSONField(name = "equip_model_id")
    private String equipModelId;

    /**设备模型名称*/
    @ApiModelProperty("设备模型名称")
    @JsonProperty("equip_model_name")
    @JSONField(name = "equip_model_name")
    private String equipModelName;
    /**生产厂家id*/
    @ApiModelProperty(value = "生产厂家id")
    @JsonProperty("company_id")
    @JSONField(name = "company_id")
    private String companyId;
    /**生产厂家名称*/
    @ApiModelProperty("生产厂家名称")
    @JsonProperty("company_name")
    @JSONField(name = "company_name")
    private String companyName;


}
