package com.persagy.fm.sop.model.dto;

import com.fasterxml.jackson.annotation.JsonAlias;
import com.fasterxml.jackson.annotation.JsonProperty;
import io.swagger.annotations.ApiModelProperty;
import lombok.AllArgsConstructor;
import lombok.Data;
import lombok.NoArgsConstructor;

import javax.validation.constraints.NotBlank;
import java.util.List;

@Data
@AllArgsConstructor
@NoArgsConstructor
public class ObjBean {
    /**
     * obj_id : ***
     * obj_name : 对象名称1
     * obj_type : equip_class
     * type_code :
     * parents : [{"parent_ids":["***","***","***"],"parent_names":["建筑1","楼层1","空间"]},{"parent_ids":["***","***"],"parent_names":["专业1","系统1"]},{"parent_ids":["***","***","***"],"parent_names":["专业1","系统大类","设备大类"]}]
     */
    @JsonAlias({"obj_id", "objId"})
    @JsonProperty("obj_id")
    private String objId;
    @JsonAlias({"obj_name", "objName"})
    @JsonProperty("obj_name")
    private String objName;
    @JsonAlias({"obj_code", "objCode"})
    @JsonProperty("obj_code")
    private String objCode;
    private List<ObjBean> content;
    private List<ParentsBean> parents;
}
