package com.persagy.fm.sop.model.dto;

import com.fasterxml.jackson.annotation.JsonAlias;
import com.fasterxml.jackson.annotation.JsonProperty;
import io.swagger.annotations.ApiModelProperty;
import lombok.AllArgsConstructor;
import lombok.Builder;
import lombok.Data;
import lombok.NoArgsConstructor;

import java.util.List;

@Data
@Builder
@NoArgsConstructor
@AllArgsConstructor
public class ParentsBean {
    @ApiModelProperty("父类对象的id集合")
    @JsonAlias({"parent_ids","parentIds"})
    @JsonProperty("parent_ids")
    private List<String> parentIds;
    @ApiModelProperty("父类对象的名称集合")
    @JsonAlias({"parent_names","parentNames"})
    @JsonProperty("parent_names")
    private List<String> parentNames;
}