package com.persagy.fm.sop.model.dto;

import io.swagger.annotations.ApiModelProperty;
import lombok.AllArgsConstructor;
import lombok.Builder;
import lombok.Data;
import lombok.NoArgsConstructor;

/***
 * Description: sop标记DTO类
 * @author : lijie
 * @date :2021/4/10 16:19
 * Update By lijie 2021/4/10 16:19
 */
@Data
@Builder
@AllArgsConstructor
@NoArgsConstructor
public class SopSignBean {

    /**工单类型code*/
    @ApiModelProperty("标记code")
    private String code;

    /**工单类型名称*/
    @ApiModelProperty("标记名称")
    private String name;

}
