package com.persagy.fm.sop.model.dto;

import com.fasterxml.jackson.annotation.JsonAlias;
import com.fasterxml.jackson.annotation.JsonProperty;
import io.swagger.annotations.ApiModelProperty;
import lombok.AllArgsConstructor;
import lombok.Builder;
import lombok.Data;
import lombok.NoArgsConstructor;

@Data
@Builder
@NoArgsConstructor
@AllArgsConstructor
public class ToolsBean {
    /**
     * tool : name
     * from_step : true
     */
    @ApiModelProperty("工具名称")
    private String tool;
    @ApiModelProperty("from_step为true时代表是步骤中的工具")
    @JsonAlias({"fromStep","from_step"})
    @JsonProperty("from_step")
    private Boolean fromStep;
}