package com.persagy.fm.sop.model.vo;

import com.fasterxml.jackson.annotation.JsonAlias;
import com.fasterxml.jackson.annotation.JsonProperty;
import com.persagy.fm.common.model.vo.BaseVo;
import io.swagger.annotations.ApiModelProperty;
import lombok.AllArgsConstructor;
import lombok.Builder;
import lombok.Data;
import lombok.NoArgsConstructor;

@Data
@Builder
@NoArgsConstructor
@AllArgsConstructor
public class AutoReviseMsgVo extends BaseVo {
    @ApiModelProperty("处理步骤")
    @JsonProperty("do_step")
    @JsonAlias({"do_step","doStep"})
    private String doStep;
    @ApiModelProperty("受影响部分")
    @JsonProperty("effect_part")
    @JsonAlias({"effect_part","effectPart"})
    private String effectPart;
    @ApiModelProperty("处理方案")
    @JsonProperty("do_plan")
    @JsonAlias({"do_plan","doPlan"})
    private String doPlan;

}
