package com.persagy.fm.sop.model.vo;

import com.fasterxml.jackson.annotation.JsonAlias;
import com.fasterxml.jackson.annotation.JsonProperty;
import lombok.Builder;
import lombok.Data;

/***
 * Description: 校验SOP名称结果
 * @author : lijie
 * @date :2021/4/2 12:18
 * Update By lijie 2021/4/2 12:18
 */
@Data
@Builder
public class VerifySopNameVo {

    /**
     * can_use: true-可以使用,false-不可以使用
     */
    @JsonAlias({"canUse","can_use"})
    @JsonProperty("can_use")
    private Boolean canUse;
}
