package com.persagy.fm.sop.service;

import com.alibaba.fastjson.JSONObject;

import java.util.Map;

/**
 * 
 * Description:   工单流转计划
 * Company: Persagy 
 * @author yuecaipu 
 * @version 1.0
 * @since: 2018年5月22日: 下午2:41:19
 * Update By yuecaipu 2018年5月22日: 下午2:41:19
 */
public interface IWoFlowPlanService {

	/*
	 * 根据id获取name
	 */
	String getNameById(String id);
	/***
	 * Description: 查询所有工单类型的名称映射
	 * @return : java.lang.String
	 * @author : lijie
	 * @date :2021/4/6 18:34
	 * Update By lijie 2021/4/6 18:34
	 */
	Map<String,String> queryAllPlanNameMap();
	/***
	 * Description: 自动实例化工单事项
	 * @param jsonObject : 请求参数
	 * @return : java.lang.String
	 * @author : lijie
	 * @date :2021/4/21 16:44
	 * Update By lijie 2021/4/21 16:44
	 */
	String autoInstantiateWoMatters(JSONObject jsonObject) throws Exception;
	
	
}
