package com.persagy.old.startup;

import com.persagy.old.dao.DBAgent;
import org.springframework.boot.CommandLineRunner;
import org.springframework.core.annotation.Order;
import org.springframework.stereotype.Service;

//被@RefreshScope修饰的Bean都是延迟加载的，只有在第一次访问时才会被初始化，刷新Bean也是同理，下次访问时会创建一个信息的对象
//@RefreshScope //这里不能省略  不然不能手动触发
@Service
@Order(1)
public class StartListener implements CommandLineRunner {

    @Override
    public void run(String... args) {
    	//初始化
    	DBAgent.GetAgent();
    }

}
