package com.persagy.fm.workorder.constant.enums;

public enum WoApplyItemEnum {
    ADDING_PEOPLE("applyAddingPeople","申请加人"),
    REPLACE_PEOPLE("applyReplacePeople","申请换人"),
    DELAY("applyDelay","申请延期"),
    CLOSE("applyClose","申请结束"),
    STOP("applyStop","申请中止"),
    PAUSE("applyPause","申请暂停"),
    MATTERS("applyMatters","申请事项");

    WoApplyItemEnum(String type, String describe) {
        this.type = type;
        this.describe = describe;
    }

    private String type;
    private String describe;

    public String getType() {
        return type;
    }

    public void setType(String type) {
        this.type = type;
    }

    public String getDescribe() {
        return describe;
    }

    public void setDescribe(String describe) {
        this.describe = describe;
    }
}
