package com.persagy.fm.workorder.constant.enums;
/***
 * Description: 工单控制模块枚举
 * @author : lijie
 * @date :2021/4/27 18:39
 * Update By lijie 2021/4/27 18:39
 */
public enum WoControlModelEnum {
    CREATE("create","新建"),
    AUDIT("audit","审核"),
    APPROVE("approve","审批"),
    ASSIGN("assign","指派"),
    APPLY("apply","申请"),
    EVALUATE("evaluate","评价"),
    EXECUTE("execute","执行");

    WoControlModelEnum(String type, String describe) {
        this.type = type;
        this.describe = describe;
    }

    private String type;
    private String describe;

    public String getType() {
        return type;
    }

    public void setType(String type) {
        this.type = type;
    }

    public String getDescribe() {
        return describe;
    }

    public void setDescribe(String describe) {
        this.describe = describe;
    }
}
