package com.persagy.fm.workorder.domain.dto;

import com.fasterxml.jackson.annotation.JsonAlias;
import com.fasterxml.jackson.annotation.JsonProperty;
import io.swagger.annotations.ApiModelProperty;
import lombok.AllArgsConstructor;
import lombok.Data;
import lombok.NoArgsConstructor;

import java.util.List;

@Data
@NoArgsConstructor
@AllArgsConstructor
public class ApplyItemBean {
    @ApiModelProperty("职责模块code")
    private String code;
    @ApiModelProperty("职责模块名称")
    private String name;
    @ApiModelProperty("根据下级路由方式选择下级路由岗位 execute-执行，assign-指派，robbing-执行")
    @JsonAlias({"next_route","nextRoute"})
    @JsonProperty("next_route")
    private List<NextRouteBean> nextRoute;
    @ApiModelProperty("audit-需要审核，approve-需要审批")
    @JsonAlias({"next_code","nextCode"})
    @JsonProperty("next_code")
    private String nextCode;
}
