package com.persagy.fm.workorder.domain.dto;

import com.fasterxml.jackson.annotation.JsonAlias;
import com.fasterxml.jackson.annotation.JsonProperty;
import io.swagger.annotations.ApiModelProperty;
import lombok.AllArgsConstructor;
import lombok.Builder;
import lombok.Data;
import lombok.NoArgsConstructor;

@Data
@AllArgsConstructor
@NoArgsConstructor
@Builder
public class NextRouteBean {
    @ApiModelProperty("类型，2-岗位")
    private String type;
    @ApiModelProperty("岗位id")
    @JsonAlias({"position_id","positionId"})
    @JsonProperty("position_id")
    private String positionId;
    @ApiModelProperty("岗位名称")
    private String name;
}
