package com.persagy.fm.workorder.domain.dto;

import com.fasterxml.jackson.annotation.JsonAlias;
import com.fasterxml.jackson.annotation.JsonProperty;
import io.swagger.annotations.ApiModelProperty;
import lombok.AllArgsConstructor;
import lombok.Data;
import lombok.NoArgsConstructor;

import java.util.List;

/***
 * Description: 下级路由节点通知类
 * @author : lijie
 * @date :2021/4/26 19:35
 * Update By lijie 2021/4/26 19:35
 */
@Data
@AllArgsConstructor
@NoArgsConstructor
public class NextRouteNobodyNotify {
    @ApiModelProperty("位置验证")
    @JsonAlias({"positionVerifi","position_verifi"})
    @JsonProperty("positionVerifi")
    private Boolean positionVerifi;
    @ApiModelProperty("校验")
    private Boolean checked;
    @ApiModelProperty("位置")
    private List<Position> positions;


}